Page MenuHomePhabricator

Move FundraiserMaintenance to DonationInterface
Closed, ResolvedPublic

Description

Maybe the last step to eliminate the ContributionTracking extension

  • Add $wgDonationInterfaceFundraiserMaintenance to DonationInterface's extension.json to replace $wgContributionTrackingFundraiserMaintenance
  • update references throughout code
  • Move Special:FundraiserMaintenance from ContributionTracking extension to DonationInterface extension
  • Move i18n strings from ContributionTracking extension to DonationInterface extension

Event Timeline

Ejegg created this task.May 18 2020, 7:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2020, 7:14 PM
Ejegg claimed this task.May 19 2020, 1:48 AM
Ejegg moved this task from Backlog to Doing on the Fundraising Sprint Just space out board.

Change 599079 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP move Special:FundraiserMaintenance to DonationInterface

https://gerrit.wikimedia.org/r/599079

@Nikerabbit and @Raymond - the attached gerrit patch copies and renames the i18n strings from the ContributionTracking extension

contrib-tracking-fundraiser-maintenance-header -> donate_interface-fundraiser-maintenance-header
contrib-tracking-fundraiser-maintenance-notice -> donate_interface-fundraiser-maintenance-notice

It also copies the $specialPageAliases subkeys for 'FundraiserMaintenance' over from ContributionTracking to DonationInterface.

That patch should be the last thing we need to decommission the ContributionTracking extension.

What's the best way to get those strings moved in Translatewiki and get ContributionTracking unregistered from that integration?

Change 601369 had a related patch set uploaded (by Raimond Spekking; owner: Raimond Spekking):
[translatewiki@master] [ContributationTracking] Will be undeployed seen.

https://gerrit.wikimedia.org/r/601369

Change 601369 merged by Raimond Spekking:
[translatewiki@master] [ContributationTracking] Will be undeployed seen.

https://gerrit.wikimedia.org/r/601369

@Ejegg ContributionTracking undeployed from translatewiki.net now. You can merge your patch now. Then I will move existing translations with history to the new message name.

Change 599079 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Move Special:FundraiserMaintenance to DonationInterface

https://gerrit.wikimedia.org/r/599079

Ejegg closed this task as Resolved.Jun 12 2020, 1:59 AM